[PATCH 02/10] nginx.eclass: src_install(): add missing dies for sed

Zurab Kvachadze <[email protected]> Sat, 18 Jul 2026 19:36:59 +0300
Newsgroups gmane.linux.gentoo.devel
Message-ID <[email protected]>
Signed-off-by: Zurab Kvachadze <[email protected]>
---
 eclass/nginx.eclass | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/eclass/nginx.eclass b/eclass/nginx.eclass
index 6010299deaaf..20a4a12e2ac6 100644
--- a/eclass/nginx.eclass
+++ b/eclass/nginx.eclass
@@ -849,7 +849,8 @@ nginx_src_install() {
 	# If not using modules, do not 'include modules-enabled/*.conf;'. Also, just
 	# in case, remove the line if NGINX_SUPPORT_MODULE_STUBS is unset.
 	if use !modules || [[ -z ${NGINX_SUPPORT_MODULE_STUBS} ]]; then
-		sed -i '/^@GENTOO_MODULES_INCLUDE@$/d' "${ED}"/etc/nginx/nginx.conf
+		sed -i '/^@GENTOO_MODULES_INCLUDE@$/d' "${ED}"/etc/nginx/nginx.conf ||
+			die "sed failed"
 	fi
 
 	# For the rationale of the following, see nginx-module.eclass.
@@ -913,7 +914,7 @@ nginx_src_install() {
 			keepdir /etc/nginx/modules-{available,enabled}
 
 			sed -i 's|^@GENTOO_MODULES_INCLUDE@$|include modules-enabled/*.conf;|' \
-				"${ED}"/etc/nginx/nginx.conf
+				"${ED}"/etc/nginx/nginx.conf || die "sed failed"
 		fi
 	fi
 }
-- 
2.54.0